SmlTransportData Struct Reference
Collaboration diagram for SmlTransportData:

## Data Fields

char * | data
unsigned long | size
SmlMimeType | type
SmlBool | ownsData
gint32 | refCount
SmlBool | needsAnswer
SmlMimeType | type_get

## Detailed Description

Definition at line 112 of file sml_transport_internals.h.

## Field Documentation

SmlBool SmlTransportData::needsAnswer

This field specifies if the data transported here needs an reply from the other side. If it does not need one, the transports might take special precautions

Definition at line 121 of file sml_transport_internals.h.

SmlMimeType SmlTransportData::type_get

This is only needed to switch the mime type when using the OBEX Transporting and sending a SyncML 1.2 SAN package. The transport send() function for OBEX transport make use of a PUT/GET command sequence. To avoid that GET command request with mimetype SAN, we have to store the regular mimetype to continue the sync in this struct. So the SyncML 1.2 notification looks like this: PUT SML_MIMETYPE_SAN – wait for response – GET SML_MIMETYPE_XML / SML_MIMETYPE_WBXML (not SML_MIMETYPE_SAN!) – wait for resposne –

Definition at line 132 of file sml_transport_internals.h.

The documentation for this struct was generated from the following file:

- /build/libsyncml-I3VCSZ/libsyncml-0.5.4/libsyncml/sml_transport_internals.h